-- player flyer
splosio = class {

	__includes = thing,

	init = function(self, x, y, z)
		thing.init(self, x, y, z, 0, 0)
		self.colour = things[1].colour:lighten_by(1)
		self.life = 0.15
		self.size = love.math.random(3, 10)
	end;

	draw = function(self)

		col = {}
		col.r, col.g, col.b = colour.hsl_to_rgb(self.colour.H, self.colour.S, self.colour.L)

		love.graphics.setCanvas(canvas)
		for i=0, 3 do
			local size = love.math.random(6)

			local xx, yy = self.pos.x+love.math.random(-self.size, self.size), self.pos.y+love.math.random(-self.size, self.size)
			love.graphics.setPointSize(self.size+1)
			love.graphics.setColor(0, 0, 0)
			love.graphics.points(xx, yy)
			love.graphics.setPointSize(self.size)
			love.graphics.setColor(col.r*255, col.g*255, col.b*255)
			love.graphics.points(xx, yy)
		end
		love.graphics.setCanvas()

	end;

	update = function(self, dt)

		self.life = self.life - dt
		self.size = self.size + 300 * dt
		if self.life <= 0 then self:destroy() end

	end;

}