-- player flyer
missile = class {

	__includes = thing,

	init = function(self, x, y, z, speed, angle, drunk)
		thing.init(self, x, y, z, w, h)
		self.speed = speed
		self.angle = angle
		self.health = love.math.random(5)
		self.colour = things[1].colour:lighten_by(1)
		self.alpha = things[1].alpha2
		self.size = 0.5--things[1].alpha
		self.drunk = drunk or 0
		self.points = {self.pos.x, self.pos.y}
	end;

	draw = function(self)

		if self.marked_for_death then  end

		local col = {}
		col.r, col.g, col.b = colour.hsl_to_rgb(self.colour.H, self.colour.S, self.colour.L)
		
		love.graphics.setCanvas(canvas)
		--setup_noise_mask(self.alpha)
		--love.graphics.line(self.pos.x-8, self.pos.y, self.pos.x+8, self.pos.y)
		--love.graphics.line(self.pos.x, self.pos.y-8, self.pos.x, self.pos.y+8)
		
		--love.graphics.setCanvas(canvas)
		--love.graphics.circle("fill", self.pos.x+love.math.random(-5, 5), self.pos.y+love.math.random(-5, 5), self.size)
		local xx, yy = self.pos.x, self.pos.y
		love.graphics.setPointSize(self.size+1)
		love.graphics.setColor(0, 0, 0)
		--love.graphics.points(xx, yy)
		love.graphics.setPointSize(self.size)

		--love.graphics.setBlendMode("alpha", "premultiplied")
		love.graphics.setColor(col.r*255, col.g*255, col.b*255, self.alpha)
		love.graphics.setLineWidth(self.size)
		love.graphics.setLineStyle("smooth")
		if #self.points >= 4 then
			love.graphics.line(self.points)
		end
		--love.graphics.setBlendMode("alpha")
		--love.graphics.points(xx, yy)
		love.graphics.setCanvas()
		--love.graphics.setStencilTest()


	end;

	update = function(self, dt)

		self.health = self.health - dt

		if self.speed < 1900 then
			--self.speed = self.speed * 1.1
		end

		self.angle = self.angle + math.rad(love.math.random(-self.drunk, self.drunk))

		--if self:offscreen() then self:destroy()  end
		if self:bounce() then 
			audio.multisquawk({"lilbounce1", "lilbounce2"}, 1, 0.33)
			self.health = self.health - 1 
		end

		if self.health < 1 then
			--table.insert(things, splosio(self.pos.x, self.pos.y, self.pos.z)) 
			self:destroy()
			return 
		end

		self:thrust(self.speed)
		self:move(dt)
		table.insert(self.points, self.pos.x)
		table.insert(self.points, self.pos.y)
		--table.insert(things, fx_thrust(self.pos.x, self.pos.y, self.pos.z, self.speed, self.angle))

	end;

}